1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Problemas ao colocar online!!! Ajudem

Discussão em 'Web Development' iniciada por diazzz, 24 de Maio de 2007. (Respostas: 7; Visualizações: 729)

  1. diazzz

    diazzz Power Member

    Boas pessoal!
    Estou a desenvolver um site em php/mysql com o pack WAMP5, trabalho em windows xp. Terminei praticamente o código e meti online num servidor com estas caracteristicas:
    Operating system Linux
    Kernel version 2.4.21-47.0.1.ELsmp
    Machine Type i686
    Apache version 1.3.36 (Unix)
    PERL version 5.8.7
    Path to PERL /usr/bin/perl
    Path to sendmail /usr/sbin/sendmail
    PHP version 4.4.2
    MySQL version 4.1.21-standard
    cPanel Build 10.9.0-STABLE 119
    Theme cPanel X v2.6.0

    O problema está que ao colocar no server o codigo não está a funcionar como está no meu pc!!! Tipo, não consigo fazer login com o IE mas consigo com o FF, o estilo css não está correcto tem várias falhas, etc... É que preciso disto online em breve e não sei qual o problema. [​IMG]
    Disseram-me que seria boa ideia instalar o apache+mysql+php em separado no pc pq as vezes estes packs nao funcionam bem, mas já fiz trabalhos anteriores e sempre funcionou!! Alguém me pode esclarecer e principalmente ajudar???
     
  2. Eu pessoalmente uso o XAMPP e nunca tive problemas.

    Existem outros motivos para isso não estar a funcionar correctamente, pode ser devido a certas configurações especificas no servidor de destino.

    Se estiveres interessado numa ajuda mais "imediata" estou disponível em Gtalk. Manda uma PM se estiveres interessado.
     
  3. diazzz

    diazzz Power Member

    Bem... hj meti num servidor gratuito (quotaless) e aparentemente está tudo a funcionar como deve ser!!!! Sera das versoes do PHP?? K no server onde estava a meter era php4 e no quotaless é php5 e como tou a usar wamp5 sera daí???
     
  4. scroll

    scroll Power Member

    pode ser... no php 4 não extritamente necessário iniciares o code de php com: <?php, mas no php 5 se não fizeres, não funka... pelo menos já me aconteceu por inúmeras vezes.

    cumps,
     
  5. diazzz

    diazzz Power Member

    isso eu tb já tinha reparado quando estava a programar... mais um argumento a favor da teoria da incompatibilidade
     
  6. Sota

    Sota Power Member

    Bem não sou a melhor pessoa para te ajudar nem falar disto mas existe varios erros que o internet explorer interpeta de maneira diferente do que o firefox no entanto existe maneira de contornar isso. começa por ver se o teu codigo é valido http://validator.w3.org/
     
  7. Preatorian

    Preatorian Power Member

    Isso do <? é so mudar no php.ini o allow_shorttags.

    Mas de facto ha várias incompatibilidades entre o php4 o php5, nomeadamente algumas funçoes e OOP.

    Experimenta por a versao do PHP do servidor na tua máquina ;)
     
  8. anjo2

    anjo2 Power Member

    Se desejares testar noutro server com PHP4, PM me

    Mas existe muitas diferenças entre PHP4 e 5, pelo que pode ser normal que tenhas funções de php5
     

Partilhar esta Página